#include <iostream>
#include <cstring>
#include <unistd.h>
void HowToUse(); // if invalid argument
void ShowStatus();

int main(int argc, char *argv[]) {

    if(argc==2){
        if(strncmp(argv[1],"status",6)==0){
            //status
            return 0;
        }
    } else if(argc==3){
        if(strcmp(argv[1], "start")==0&&strcmp(argv[2], "server")==0){
            //start server
            char *dummy_arg[]={nullptr};
            execv("./server",dummy_arg);
            return 0;
        } else if(strcmp(argv[1], "stop")==0&&strcmp(argv[2], "server")==0){
            //stop server
            return 0;
        }
    } else if(argc==4){
        if(strcmp(argv[1], "stop")==0&&strcmp(argv[2], "client")==0){
            //stop client user
            return 0;
        }
    }
    HowToUse();
    return 0;
}

void HowToUse(){
    std::string output="Error: invalid argument!\n"
                     "status             Show process status\n"
                     "start server       Start server process\n"
                     "stop  server       Stop server process\n"
                     "stop  client <user> Stop client process by user arg";
    std::cout<<output<<std::endl;
    exit(0);
}